Postgres Installer – Now Available for PostgreSQL 11 Beta 4

Oxford, United Kingdom — September 20, 2018

2ndQuadrant today announced the release of a new update to Postgres Installer. This update includes the newest release – PostgreSQL 11 Beta 4 – announced today by the community.

Postgres Installer provides a standalone, user-friendly installation for PostgreSQL based on a GUI for Windows, macOS, and Linux. A list of all supported platforms is available here.

The most important bug fixes included in the PostgreSQL 11 Beta 4 release are:

  • ERROR: cache lookup failed for constraint” when ALTERING column referenced by fkey of a partitioned table
  • Expression errors with “FOR UPDATE” and postgres_fdw with partition wise join enabled
  • Memory leak with CALL to Procedure with COMMIT
  • Fix hints on CREATE PROCEDURE errors
  • Error during runtime pruning

For a complete list of updates and bug fixes, read the PostgreSQL 11 Beta 4 release notes here.

PGInstaller is available for download here.

For more information, please email [email protected]